### Property

# Gdk Toplevel:gravity

since: 4.20

#### Declaration

    property gravity: Gdk.Gravity [ read, write ]

#### Description [src]

The gravity to use when resizing a surface programmatically.

Gravity describes which point of the surface we want to keep fixed (meaning that the surface will grow in the opposite direction). For example, a gravity of `GDK_GRAVITY_NORTH_EAST` means that we want to fix top right corner of the surface.

This property is just a hint that may affect the result when negotiating toplevel sizes with the windowing system. It does not affect interactive resizes started with `gdk_toplevel_begin_resize()`.

Type:`GdkGravity`

Available since: 4.20

Default value | GDK_GRAVITY_NORTH_EAST
Getter method | `gdk_toplevel_get_gravity()`
Setter method | `gdk_toplevel_set_gravity()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no